package com.ejie.m62fb.model;

import java.math.BigDecimal;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.m62fb.utils.serializers.JsonBigDecimalDeserializer;
import com.ejie.m62fb.utils.serializers.JsonBigDecimalSerializer;
import com.ejie.m62fb.model.base.AbstractM62FBModel;
import com.ejie.m62fb.model.tipos.RegimenAcceso;
import com.ejie.m62fb.model.tipos.RegimenTenencia;

/**
 * ViviendaSolicitada.
 * 
XXXX
 */
public class ViviendaSolicitada extends AbstractM62FBModel implements
		java.io.Serializable {

	private static final long serialVersionUID = 1L;

	// Identificador Vivienda Solicitada
	private BigDecimal idM62r40t0;
	// Identificador Solicitud Reserva
	private Integer idM62r38t0;
	// Nº Orden
	private Long numOrden;
	// Descripcion Motivo Reserva
	private String desMotivoReserva;
	// Regimen Acceso
	private RegimenAcceso regimenAcceso;
	// Indicador Vivienda Adaptada
	private String indVivAdaptada;
	// Numero Dormitorios Vivienda
	private Long numDormitorios;
	// Superficie Util Vivienda
	private BigDecimal supUtilViv;
	// Descripcion Receptor
	private String desReceptor;
	// Observaciones
	private String texObservaciones;
	// Regimen Tenencia
	private RegimenTenencia regimenTenencia;
	// Codigo Provincia
	private String codProvincia;
	// Descripcion Provincia
	private String descProvincia;
	// Codigo Municipio
	private String codMunicipio;
	// Descripcion Municipio
	private String descMunicipio;

	/**
	 * Method 'ViviendaSolicitada'.
	 */
	public ViviendaSolicitada() {
	}

	/**
	 * Method 'ViviendasSolicitadas'.
	 * 
	 * @param idM62r40t0
	 *            Integer
	 */
	public ViviendaSolicitada(BigDecimal idM62r40t0) {
		this.idM62r40t0 = idM62r40t0;
	}

	/**
	 * Method 'getIdM62r40t0'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getIdM62r40t0() {
		return this.idM62r40t0;
	}

	/**
	 * Method 'setIdM62r40t0'.
	 * 
	 * @param idM62r40t0
	 *            BigDecimal
	 * @return
	 */

	public void setIdM62r40t0(BigDecimal idM62r40t0) {
		this.idM62r40t0 = idM62r40t0;
	}

	/**
	 * Method 'getIdM62r38t0'.
	 * 
	 * @return Integer
	 */
	public Integer getIdM62r38t0() {
		return this.idM62r38t0;
	}

	/**
	 * Method 'setIdM62r38t0'.
	 * 
	 * @param idM62r38t0
	 *            Integer
	 */
	public void setIdM62r38t0(Integer idM62r38t0) {
		this.idM62r38t0 = idM62r38t0;
	}

	/**
	 * Method 'getNumOrden'.
	 * 
	 * @return Long
	 */

	public Long getNumOrden() {
		return this.numOrden;
	}

	/**
	 * Method 'setNumOrden'.
	 * 
	 * @param numOrden
	 *            Long
	 * @return
	 */

	public void setNumOrden(Long numOrden) {
		this.numOrden = numOrden;
	}

	/**
	 * Method 'getDesMotivoReserva'.
	 * 
	 * @return String
	 */

	public String getDesMotivoReserva() {
		return this.desMotivoReserva;
	}

	/**
	 * Method 'setDesMotivoReserva'.
	 * 
	 * @param desMotivoReserva
	 *            String
	 * @return
	 */

	public void setDesMotivoReserva(String desMotivoReserva) {
		this.desMotivoReserva = desMotivoReserva;
	}

	/**
	 * Method 'getRegimenAcceso'
	 * 
	 * @return regimenAcceso
	 */
	public RegimenAcceso getRegimenAcceso() {
		return this.regimenAcceso;
	}

	/**
	 * Method 'setRegimenAcceso'
	 * 
	 * @param regimenAcceso
	 *            RegimenAcceso
	 */
	public void setRegimenAcceso(RegimenAcceso regimenAcceso) {
		this.regimenAcceso = regimenAcceso;
	}

	/**
	 * Method 'getIndVivAdaptada'.
	 * 
	 * @return String
	 */

	public String getIndVivAdaptada() {
		return this.indVivAdaptada;
	}

	/**
	 * Method 'setIndVivAdaptada'.
	 * 
	 * @param indVivAdaptada
	 *            String
	 * @return
	 */

	public void setIndVivAdaptada(String indVivAdaptada) {
		this.indVivAdaptada = indVivAdaptada;
	}

	/**
	 * Method 'getNumDormitorios'.
	 * 
	 * @return Long
	 */

	public Long getNumDormitorios() {
		return this.numDormitorios;
	}

	/**
	 * Method 'setNumDormitorios'.
	 * 
	 * @param numDormitorios
	 *            Long
	 * @return
	 */

	public void setNumDormitorios(Long numDormitorios) {
		this.numDormitorios = numDormitorios;
	}

	/**
	 * Method 'getSupUtilViv'.
	 * 
	 * @return BigDecimal
	 */
	@JsonSerialize(using = JsonBigDecimalSerializer.class)
	public BigDecimal getSupUtilViv() {
		return this.supUtilViv;
	}

	/**
	 * Method 'setSupUtilViv'.
	 * 
	 * @param supUtilViv
	 *            BigDecimal
	 * @return
	 */
	@JsonDeserialize(using = JsonBigDecimalDeserializer.class)
	public void setSupUtilViv(BigDecimal supUtilViv) {
		this.supUtilViv = supUtilViv;
	}

	/**
	 * Method 'getDesReceptor'.
	 * 
	 * @return String
	 */

	public String getDesReceptor() {
		return this.desReceptor;
	}

	/**
	 * Method 'setDesReceptor'.
	 * 
	 * @param desReceptor
	 *            String
	 * @return
	 */

	public void setDesReceptor(String desReceptor) {
		this.desReceptor = desReceptor;
	}

	/**
	 * Method 'getTexObservaciones'.
	 * 
	 * @return String
	 */

	public String getTexObservaciones() {
		return this.texObservaciones;
	}

	/**
	 * Method 'setTexObservaciones'.
	 * 
	 * @param texObservaciones
	 *            String
	 * @return
	 */

	public void setTexObservaciones(String texObservaciones) {
		this.texObservaciones = texObservaciones;
	}

	/**
	 * Method 'getRegimenTenencia'
	 * 
	 * @return regimenTenencia
	 */
	public RegimenTenencia getRegimenTenencia() {
		return this.regimenTenencia;
	}

	/**
	 * Method 'setRegimenTenencia'
	 * 
	 * @param regimenTenencia
	 *            RegimenTenencia
	 */
	public void setRegimenTenencia(RegimenTenencia regimenTenencia) {
		this.regimenTenencia = regimenTenencia;
	}

	/**
	 * Method 'getCodProvincia'.
	 * 
	 * @return String
	 */

	public String getCodProvincia() {
		return this.codProvincia;
	}

	/**
	 * Method 'setCodProvincia'.
	 * 
	 * @param codProvincia
	 *            String
	 * @return
	 */

	public void setCodProvincia(String codProvincia) {
		this.codProvincia = codProvincia;
	}

	/**
	 * Method 'getDescProvincia'.
	 * 
	 * @return String
	 */

	public String getDescProvincia() {
		return this.descProvincia;
	}

	/**
	 * Method 'setDescProvincia'.
	 * 
	 * @param descProvincia
	 *            String
	 * @return
	 */

	public void setDescProvincia(String descProvincia) {
		this.descProvincia = descProvincia;
	}

	/**
	 * Method 'getCodMunicipio'.
	 * 
	 * @return String
	 */

	public String getCodMunicipio() {
		return this.codMunicipio;
	}

	/**
	 * Method 'setCodMunicipio'.
	 * 
	 * @param codMunicipio
	 *            String
	 * @return
	 */

	public void setCodMunicipio(String codMunicipio) {
		this.codMunicipio = codMunicipio;
	}

	/**
	 * Method 'getDescMunicipio'.
	 * 
	 * @return String
	 */

	public String getDescMunicipio() {
		return this.descMunicipio;
	}

	/**
	 * Method 'setDescMunicipio'.
	 * 
	 * @param descMunicipio
	 *            String
	 * @return
	 */

	public void setDescMunicipio(String descMunicipio) {
		this.descMunicipio = descMunicipio;
	}
}